Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name "emacs.pdmp" to avoid mismatch pdmp file

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Nov 2020 17:07:11 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 15 Nov 2020 20:03:57 -0500
> 
> I have also had problems with configure's transform argument being
> ignored for the pdmp file, and with the pdmp file not being found.
> 
> Here is a simple-minded proof-of-concept patch for installing the pdmp
> file with the fingerprint in the name. It needs cleaning up (compilation
> warnings; hexbuf stuff is awful; should look for FINGERPRINT.pdmp first,
> then fall back to less specific names, finishing with emacs.pdmp; etc).
> Hopefully people who know more about this stuff than me will feel like
> finishing this off...

I hope this gets cleaned up, because I think it would be good to have
this fixed for Emacs 27.2.

Volunteers are welcome.

TIA